Package twisted :: Package manhole :: Module explorer :: Class ExplorerMethod

[show private | hide private]
[frames | no frames]

## Class ExplorerMethod

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                 ExplorerFunction --+
                                    |
                                   ExplorerMethod

Method Summary
| `__init__(self, method, identifier)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally. (inherited from `Cacheable`)
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer. (inherited from `Copyable`)
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective. (inherited from `Explorer`)
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me. (inherited from `Cacheable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me. (inherited from `Cacheable`)
| `view_get_refcount(self, perspective)` (inherited from `Explorer`)

Class Variable Summary
`list` | `properties`

Class Variable Details

### properties

  Type:
    `list`
  Value:

        ['self', 'klass']

Generated by Epydoc 1.1 on Sat Feb 15 21:17:55 2003 | http://epydoc.sf.net